#define WIN31
#include <owl.h>
#include <bwcc.h>
class MainDlg:public TDialog
{
public:
	MainDlg()
	: TDialog(NULL,"MainDlg")
	{
	}
	virtual void GetWindowClass(WNDCLASS &AWndClass)
	{
		TDialog::GetWindowClass(AWndClass);
		AWndClass.lpfnWndProc = BWCCDefDlgProc;
		AWndClass.hIcon=LoadIcon(GetApplication()->hInstance,"MAINDLG");
	}
	virtual LPSTR GetClassName(void)
	{
		return "MAINDLGCLASS";
	}	
};

class TDlgApp :public TApplication
{
public:
  TDlgApp(LPSTR AName, HINSTANCE hInstance, HINSTANCE hPrevInstance,
    LPSTR lpCmdLine, int nCmdShow)
    : TApplication(AName, hInstance, hPrevInstance, lpCmdLine, nCmdShow) {};
  virtual void InitMainWindow();
};
void TDlgApp::InitMainWindow()
{
  MainWindow = new MainDlg();
}

int PASCAL WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
  LPSTR lpCmdLine, int nCmdShow)
{
  TDlgApp HelloApp ("HelloApp", hInstance, hPrevInstance,
    lpCmdLine, nCmdShow);
  HelloApp.Run();
  return HelloApp.Status;
}
